int adresse_demandee = 2048; // adresse de lecture des sorties digitales
String demande;
int valeur_demandee = 0;

#define TIMEOUT 1000

/*******************************************************************************************
 * Pour le WEMOS LOLIN32, on peut utiliser le port série qui est sur les broches 16 et 17  *
 * Connexter RX de ECH sur TX de arduino et TX de ECH sur RX de ARDUINO                    *
 * et bien sur les 0v ensembles pour qu'ils aient la même référence                        *
 ******************************************************************************************/
/*******************************************************************************************
 * adresse pour changer la visibilité D01: 5266 (3) pour visible (258)visible par code     *
 * adresse pour changer la valeur D01: 2194 (0) désactivé (1) activé                       *
 ******************************************************************************************/

void setup() {
  // initialise les ports série:
  Serial.begin(115200);             // pour monitoring des échanges avec l'ordinateur
  Serial2.begin(9600,SERIAL_8E1);   // paramètrage du port série connecté à l'ECH en 9600 bauds, 8 bits, 1 stop, parité paire
  while (!Serial2) {                // attente port série prêt
  }
  Serial.println("Arduino Ready");
}

void loop() {
  int valeur_lue;
  int s_cool;

  Serial.println("quelle adresse voulez-vous modifier ? (9999 pour sortir)");
  while((Serial.available() == 0))                                   // attente d'une réponse sur le port
  {}
      demande=Serial.readString();   
      adresse_demandee=demande.toInt();
        Serial.println(adresse_demandee);
      if (adresse_demandee!= 9999)
      {    
        valeur_lue=lit_valeur(adresse_demandee);                                // Interrogation de la valeur mémmoire setpoint froid
        Serial.println(valeur_lue);
          
        if (valeur_lue!=9999)                                                   // 
          {Serial.println("Réponse correcte entrer la valeur à écrire:");
          while(Serial.available() == 0 )                                      // attente d'une réponse sur le port
          {}
            demande=Serial.readString();      
              valeur_demandee=demande.toInt();
              if (valeur_demandee!= 9999)
              {  ecrit_valeur(adresse_demandee, valeur_demandee);               // écriture de la valeure lue modifiée
                delay(500);
                valeur_lue=lit_valeur(adresse_demandee);                        // Interrogation de la valeur mémmoire 
                Serial.println(valeur_lue);                
              }                      
           }                                                                    // Boucle infinie pour arrêter le programme           
      }
  delay (2000);
}
